# Utility functions

## Enumerations

### OrcCompileResult

    typedef enum {
      ORC_COMPILE_RESULT_OK = 0,

      ORC_COMPILE_RESULT_UNKNOWN_COMPILE = 0x100,
      ORC_COMPILE_RESULT_MISSING_RULE = 0x101,

      ORC_COMPILE_RESULT_UNKNOWN_PARSE = 0x200,
      ORC_COMPILE_RESULT_PARSE = 0x201,
      ORC_COMPILE_RESULT_VARIABLE = 0x202

    } OrcCompileResult;

#### Members

`ORC_COMPILE_RESULT_OK` (0) –
No description available
`ORC_COMPILE_RESULT_UNKNOWN_COMPILE` (256) –
No description available
`ORC_COMPILE_RESULT_MISSING_RULE` (257) –
No description available
`ORC_COMPILE_RESULT_UNKNOWN_PARSE` (512) –
No description available
`ORC_COMPILE_RESULT_PARSE` (513) –
No description available
`ORC_COMPILE_RESULT_VARIABLE` (514) –
No description available

## Aliases

### orc_bool

    typedef unsigned int  orc_bool

### orc_int16

    typedef int16_t orc_int16

### orc_int32

    typedef int32_t orc_int32

### orc_int64

    typedef int64_t orc_int64

### orc_int8

    typedef int8_t orc_int8

### orc_intptr

    typedef intptr_t orc_intptr

### orc_uint16

    typedef uint16_t orc_uint16

### orc_uint32

    typedef uint32_t orc_uint32

### orc_uint64

    typedef uint64_t orc_uint64

### orc_uint8

    typedef uint8_t orc_uint8

### orc_union16

    typedef orc_union16 orc_union16

### orc_union32

    typedef orc_union32 orc_union32

### orc_union64

    typedef orc_union64 orc_union64

The results of the search are